OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
AdvectionDeformer< VelGridT, IntegrationOrder, Staggered, FilterT > Class Template Reference

`#include <PointAdvect.h>`

## Public Types
using | IntegratorT = openvdb::tools::VelocityIntegrator< VelGridT, Staggered >

## Public Member Functions
| AdvectionDeformer (const VelGridT &velocityGrid, const double timeStep, const int steps, const FilterT &filter)
template<typename LeafT >
void | reset (const LeafT &leaf, size_t)
template<typename IndexIterT >
void | apply (Vec3d &position, const IndexIterT &iter) const

## Member Typedef Documentation

## ◆ IntegratorT

using IntegratorT = openvdb::tools::VelocityIntegrator<VelGridT, Staggered>

## Constructor & Destructor Documentation

## ◆ AdvectionDeformer()

AdvectionDeformer | ( | const VelGridT & | velocityGrid,
|  | const double | timeStep,
|  | const int | steps,
|  | const FilterT & | filter
| ) |  |
| inline

## Member Function Documentation

## ◆ apply()

void apply | ( | Vec3d & | position,
|  | const IndexIterT & | iter
| ) |  | const
| inline

## ◆ reset()

void reset | ( | const LeafT & | leaf,
|  | size_t |
| ) |  |
| inline

The documentation for this class was generated from the following file:

- points/PointAdvect.h